gtf
Prev | Orchestra Opcodes and Operators | Next

## gtf

gtf — Apply a gammatone filter to an audio signal.

## Description

Apply a gammatone filter of various orders to an audio signal.

## Syntax

    aout gtf ain, kfreq, idecay[, iorder, iphase]

## Initialization

idecay -- rate of decay

iorder -- (optional) Order of filter in rangs 1 to 10 defaulting to 4.

iphase -- (optional) Phase output, defaulting to zero.

## Performance

asig -- audio signal to be filtered.

kfreq -- central frequency of filter in Hertz.

The gammatone filter is commonly used in models of the auditory system. The algorithm is based on Martin Cooke's Ph.D work (Cooke, 1993) using the base-band impulse invariant transformation. See http://staffwww.dcs.shef.ac.uk/people/N.Ma/resources/gammatone/

## Credits

By: John ffitch 2019

Prev | Up | Next
gainslider | Home | gauss